Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build
Class BuildFactoryForTests

    java.lang.Object
      com.atlassian.bamboo.build.BuildFactoryForTests

    public class BuildFactoryForTests

extends Object

A mother class for creating build objects for use in tests

Method Summary
`static LegacyBuildObject` | `createBuild(String name)` Create a build with the given name and default mock settings.
`static LegacyBuildObject` | `createBuild(String name, Builder builder)` Create a build with the given name and builder
`static LegacyBuildObject` | `createBuild(String name, Builder builder, Repository repository, BuilderManager builderManager)` Create a build with the given name and builder
`static LegacyBuildObject` | `createBuild(String name, Repository repository)` Create a build with the given name and repository
`static LegacyBuildObject` | `createBuildWithKey(String buildName, String buildKey)`
`static LegacyBuildObject` | `createSelfValidatingBuild(String name, Builder builder, Repository repository, BuilderManager builderManager)` This build allways validates without any problems

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createBuild

    public static LegacyBuildObject createBuild(String name)

  Create a build with the given name and default mock settings.

  Parameters:
    `name` - The name of the build
  Returns:
    The build

### createBuildWithKey

    public static LegacyBuildObject createBuildWithKey(String buildName,
                                                       String buildKey)

### createBuild

    public static LegacyBuildObject createBuild(String name,
                                                Builder builder)

  Create a build with the given name and builder

  Parameters:
    `name` - The name of the build
    `builder` - The builder required to build the build
  Returns:
    The build

### createBuild

    public static LegacyBuildObject createBuild(String name,
                                                Repository repository)

  Create a build with the given name and repository

  Parameters:
    `name` - The name of the build
    `repository` - The repository required to access the build source code
  Returns:
    The build

### createBuild

    public static LegacyBuildObject createBuild(String name,
                                                Builder builder,
                                                Repository repository,
                                                BuilderManager builderManager)

  Create a build with the given name and builder

  Parameters:
    `name` - The name of the build
    `builder` - The builder required to build the build
    `repository` - The repository required to access the build source code
    `builderManager` -
  Returns:
    The build

### createSelfValidatingBuild

    public static LegacyBuildObject createSelfValidatingBuild(String name,
                                                              Builder builder,
                                                              Repository repository,
                                                              BuilderManager builderManager)

  This build allways validates without any problems

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.